[libgovirt/jjardon/gnome-common-removal] autogen.sh: Use autoreconf instead deprecated gnome-common
- From: Javier Jardón Cabezas <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [libgovirt/jjardon/gnome-common-removal] autogen.sh: Use autoreconf instead deprecated gnome-common
- Date: Sat, 9 Feb 2019 12:46:36 +0000 (UTC)
commit 0fef71ffabcfc4b27b06e12d846a44326cf7fd87
Author: Javier Jardón <jjardon gnome org>
Date: Sat Feb 9 12:45:48 2019 +0000
autogen.sh: Use autoreconf instead deprecated gnome-common
See https://wiki.gnome.org/Projects/GnomeCommon/Migration
autogen.sh | 38 +++++++++++++++++++++++++++++++++-----
1 file changed, 33 insertions(+), 5 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 4698c4b..d9d12ec 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,10 +1,38 @@
#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
-srcdir=`dirname "$0"`
+olddir=$(pwd)
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME git"
- exit 1
+cd $srcdir
+
+(test -f configure.ac) || {
+ echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
+ exit 1
}
-. gnome-autogen.sh "$@"
+# shellcheck disable=SC2016
+PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
+
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]